---
title: MediaStreamTrack.muted
slug: Web/API/MediaStreamTrack/muted
tags:
  - API
  - Media Capture and Streams
  - MediaStreamTrack
  - Property
  - Read-only
  - Reference
  - muted
---
<div>{{APIRef("Media Capture and Streams")}}</div>

<p>The <strong><code>muted</code></strong> read-only property of the {{domxref("MediaStreamTrack")}} interface returns a {{jsxref('Boolean')}} value indicating whether or not the track is currently unable to provide media output.</p>

<div class="note">
<p>To implement a way for users to mute and unmute a track, use the {{domxref("MediaStreamTrack.enabled", "enabled")}} property. When a track is disabled by setting <code>enabled</code> to <code>false</code>, it generates only empty frames (audio frames in which every sample is 0, or video frames in which every pixel is black).</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">const <em>mutedFlag</em> = <em>track.</em>muted</pre>

<h3 id="Value">Value</h3>

<p>A {{jsxref('Boolean')}} which is <code>true</code> if the track is currently muted, or <code>false</code> if the track is currently unmuted.</p>

<div class="note">
<p>When possible, avoid polling <code>muted</code> to monitor the track's muting status. Instead, add event listeners for the {{event("mute")}} and {{event("unmute")}} events.</p>
</div>

<h2 id="Example">Example</h2>

<p>This example counts the number of tracks in an array of {{domxref("MediaStreamTrack")}} objects which are currently muted.</p>

<pre class="brush: js">let mutedCount = 0;

trackList.forEach((track) =&gt; {
  if (track.muted) {
    mutedCount += 1;
  }
});</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Media Capture', '#dom-mediastreamtrack-muted', 'muted')}}</td>
   <td>{{Spec2('Media Capture')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.MediaStreamTrack.muted")}}</p>
